#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hid_sensor_power_state, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_remove_trigger, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_setup_trigger, "", "IIO_HID");
KSYMTAB_DATA(hid_sensor_pm_ops, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_power_state, 0xe31c82f2, "");
SYMBOL_CRC(hid_sensor_remove_trigger, 0x3000da41, "");
SYMBOL_CRC(hid_sensor_setup_trigger, 0x6fcc4bc6, "");
SYMBOL_CRC(hid_sensor_pm_ops, 0x8ebeb242, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb561adf3, "pm_runtime_enable" },
	{ 0xeb99f8bd, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x43d38847, "__pm_runtime_use_autosuspend" },
	{ 0x120dcea5, "__pm_runtime_suspend" },
	{ 0xc1a4342a, "__pm_runtime_set_status" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xbf0c6aa1, "iio_trigger_unregister" },
	{ 0x68c3a15c, "iio_trigger_free" },
	{ 0x7a26de2d, "iio_triggered_buffer_cleanup" },
	{ 0x2a357924, "__pm_runtime_disable" },
	{ 0xbe42abaf, "sensor_hub_device_close" },
	{ 0xd20c5dd0, "hid_sensor_get_usage_index" },
	{ 0xd98556c5, "sensor_hub_get_feature" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe3833005, "sensor_hub_set_feature" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x7be6f0b6, "sensor_hub_device_open" },
	{ 0xe6189bb8, "hid_sensor_read_poll_value" },
	{ 0x785af5e3, "hid_sensor_set_report_latency" },
	{ 0xcffae9d, "hid_sensor_get_report_latency" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x26f6b499, "iio_str_to_fixpoint" },
	{ 0xae665c94, "hid_sensor_batch_mode_supported" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xf1add37d, "iio_triggered_buffer_setup_ext" },
	{ 0xe91b9587, "iio_device_id" },
	{ 0xfce6016b, "__iio_trigger_alloc" },
	{ 0x16481cf8, "iio_trigger_register" },
	{ 0xe127bd74, "get_device" },
	{ 0x6bce2ad2, "__module_get" },
	{ 0xc52fc2bd, "pm_runtime_set_autosuspend_delay" },
	{ 0xd1005013, "_dev_err" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer,hid-sensor-hub,hid-sensor-iio-common");

